Skip to main content
Create a list of vendors. A vendor is a company that issues an invoice. The vendor chooses the language of the invoice, as well as the formatting of numbers, dates, and amounts.
HTTP request
POST https://api-{location-id}.flexicapture.com/v2/dataset/vendors where {location-id} is the supported location.
Request body
The request body contains data with the following structure: JSON representation { “region”: “US”, “vendors”: [ { “external_id”: “string”, “business_unit_id”: “string”, “name”: [ “string” ], “street”: [ “string” ], “city”: [ “string” ], “state”: [ “string” ], “zip”: [ “string” ], “country_code”: “string”, “vat”: [ “string” ], “national_vat”: [ “string” ], “iban”: [ “string” ], “bank_account”: [ “string” ], “bank_code”: [ “string” ], “gl_code”: [ “string” ] } ] }

Fields

model

body, object(CreateVendorsModel)

Required. List of vendors.

CreateVendorsModel

region

string

Required. Vendor’s region. Supported regions: US: USA, AU: Australia, EU: European Union countries, CA: Canada.

vendors[]

object(VendorModel)

Required. List of vendors.

VendorModel

external_id

string

Required. External vendor’s ID.

business_unit_id

string

Required. Business unit ID.

name[]

string

Required. Vendor name.

street[]

string

Optional. Vendor street.

city[]

string

Optional. Vendor city.

state[]

string

Optional. Vendor state.

zip[]

string

Optional. Vendor zip code.

country_code

string

Required. Country code in ISO 3166-1 alpha-2 format.

vat[]

string

Optional. Tax payer ID.

national_vat[]

string

Optional. National tax payer ID.

iban[]

string

Optional. International bank account number.

bank_account[]

string

Optional. Bank account ID.

bank_code[]

string

Optional. Bank code.

gl_code[]

string

Optional. General ledger code.

Response
If successful, the server returns a 204 OK HTTP status.